datacache <- new.env(hash=TRUE, parent=emptyenv())

hgubeta7_dbconn <- function() dbconn(datacache)
hgubeta7_dbfile <- function() dbfile(datacache)
hgubeta7_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgubeta7_dbInfo <- function() dbInfo(datacache)

hgubeta7ORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgubeta7.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("hgubeta7", "chip hgubeta7", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgubeta7_dbconn())
}

